Bug 122232 - General SG_IO instabilities
General SG_IO instabilities
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 07:57 EDT by Ralf Ertzinger
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 09:33:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cdrecord output (2.52 KB, text/plain)
2004-05-02 07:57 EDT, Ralf Ertzinger
no flags Details
Kernel output (2.83 KB, text/plain)
2004-05-02 07:58 EDT, Ralf Ertzinger
no flags Details

  None (edit)
Description Ralf Ertzinger 2004-05-02 07:57:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
This is an extension of bug 122007
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=122007)

Doing SG_IO via SCSI cdrom device nodes instead of using sg seems to
be unstable in general. Bug 122007 details trobles when using
cdparanoia to rip audio data.

Very similar errors occur when using cdrecord to access a burner via
--dev=/dev/scdX (Simply blanking a CDRW can be enough).

The system this occurs on is doing perfectly fine when using
kernel-2.6.4-1.300 and doing cdparanpoia/cdrecord via the sg devices.

Maybe the "kill SG for CDROM devices" ought ot be postponed into the
FC3 period.

Attached are cdrecord output and kernel output for a cdrecord failure.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.344

How reproducible:
Always

Steps to Reproduce:
1. Use programs that access SCSI devices via SG_IO
2.
3.
    

Actual Results:  SCSI bus resets, CD drives becoming inaccessible

Expected Results:  Normal operation

Additional info:
Comment 1 Ralf Ertzinger 2004-05-02 07:57:44 EDT
Created attachment 99875 [details]
cdrecord output
Comment 2 Ralf Ertzinger 2004-05-02 07:58:05 EDT
Created attachment 99876 [details]
Kernel output
Comment 3 Ralf Ertzinger 2004-10-08 09:33:29 EDT
Seems fixed in current rawhide kernel.

Note You need to log in before you can comment on or make changes to this bug.